Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Delete multiple chunks from a datasource in bulk. Remove selected text segments from your knowledge base by providing a list of chunk IDs.
curl --request DELETE \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chunk_ids": [
"<string>"
]
}
'{
"deleted_count": 123,
"failed_ids": [
"<string>"
]
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the knowledge base
The unique identifier of the datasource.
Array of chunk IDs to delete
1 - 100 elementsWas this page helpful?
curl --request DELETE \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chunk_ids": [
"<string>"
]
}
'{
"deleted_count": 123,
"failed_ids": [
"<string>"
]
}